<!DOCTYPE html>
<html lang="uk">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, user-scalable=no">
    <title>Головна | АТБ і Особистий кабінет | АТБ</title>
    <link rel="shortcut icon" href="./favicon.ico" type="image/x-icon">
    <link rel="stylesheet" href="css/style.min.css">
</head>

<body>

    <!-- Header -->
    <header class="header">
        <div class="container">

            <div class="header__inner">

                <div class="header__group">
                    <div class="header__data">
                        з 18.10.2021 - 07.11.2021
                    </div>

                    <div class="burger" id="burger">
                        <div class="burger-line"></div>
                    </div>
                </div>
            </div>

            <div class="overlay-menu">
                <div class="header__menu">

                    <ul class="menu">
                        <li class="menu__item">
                            <a class="menu__item-link auth-open" href="account.html">
                                Особистий кабінет
                            </a>
                        </li>

                        <li class="menu__item">
                            <a class="menu__item-link" href="index.html#partners">
                                Партнери
                            </a>
                        </li>

                        <li class="menu__item">
                            <a class="menu__item-link" target="_blank" href="Official_Rules.pdf">
                                Офіційні правила
                            </a>
                        </li>

                        <li class="menu__item">
                            <button class="blue-btn menu-btn purple-btn" type="button">
                                Зареєструвати код
                            </button>
                        </li>
                    </ul>

                    <button class="close" id="close">
                        <svg width="40" height="40" viewbox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M36.638 3.066 3.042 36.66M3 3l33.596 33.596" stroke="currentColor" stroke-width="6"
                                stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                    </button>

                </div>
            </div>
        </div>
    </header>

    <!-- Wrapper -->
    <div class="wrapper">

        <!-- Main -->
        <main class="main">

            <!-- Top Section -->
            <section class="account">
                <img class="sphere-top" src="./img/global/sphere-top.png" alt="">
                <img class="line-gold" src="./img/global/line-gold.png" alt="">
                <img class="purple-element" src="./img/global/purple-element.png" alt="">
                <img class="purple-element-account" src="./img/global/purple-element.png" alt="">
                <img class="purple-line" src="./img/global/purple-line.png" alt="">
                <img class="circle-white-account" src="./img/global/circle-white.png" alt="">
                <div class="pseudo-blue"></div>

                <div class="container">

                    <div class="account__inner">

                        <h2 class="partners__title account__title">
                            Особистий кабінет
                        </h2>

                        <div class="phone">
                            <span class="account_phone"></span> <button type="button" class="logout">
                                <img src="./img/logout.png" alt="">
                            </button>
                        </div>

                        <button class="top__btn account__btn purple-btn purple-after reg-btn" type="button">
                            Зареєструвати код
                        </button>

                        <ul class="tablet">
                            <li class="tablet__item title">
                                <p>Дата</p>
                                <p>Код</p>
                                <p>Магазин</p>
                                <p>Сертифікат</p>
                                <p>Сума</p>
                            </li>
                            
                        </ul>

                    </div>

                </div>
            </section>

        </main>

        <!-- Footer -->
        <footer class="footer">
            <div class="container">

                <div class="footer__inner">

                    <p class="footer__info">
                        Під подарунками мається на увазі подарункові сертифікати від Партнерів Акції: ТОВ
                        "АТБ-МАРКЕТ", ТОВ "САВ-ДІСТРІБЬЮШН", ТОВ "ТГ ГОЛД ЮЕЙ", ТОВ "ІНТЕРОКО", ТОВ «МІДА ШОП».
                        Про детальні умови Акції можна дізнатися у куточку споживача, на сайті
                        <a class="footer__link" href="https://koleso.atbmarket.com">
                            koleso.atbmarket.com
                        </a> або за телефоном «гарячої лінії» 044 392 92 00 (графік роботи: з понеділка по п’ятницю
                        з 12:00 до 20:00). Дзвінки для абонентів усіх національних GSM операторів – відповідно до
                        тарифних планів відповідних операторів. Організатор Акції - ТОВ «ЛЕОНКОМ».
                    </p>

                </div>

            </div>
        </footer>
    </div>

    <!-- Modal Form -->
    <div id="overlay-reg" class="overlay">

        <div id="modal-reg" class="modal">
            <form class="modal-form reg-form" action="/api/check" method="post">

                <button class="close-btn close-reg-modal" type="button" id="close-modal">
                    <svg width="40" height="40" viewbox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M36.638 3.066 3.042 36.66M3 3l33.596 33.596" stroke="currentColor" stroke-width="6"
                            stroke-linecap="round" stroke-linejoin="round" />
                    </svg>
                </button>

                <h2 class="modal-form__title">
                    Реєстрація коду
                </h2>

                <label class="modal-form__label" for="#">
                    <input type="text" required="" pattern="[А-Яа-яЁёіІїЇєЄҐґ'`’\s\-]{3,}"
                        title="Будь ласка, використовуйте літери українського алфавіту" name="name"
                        placeholder="Вкажіть Ім’я*">
                </label>

                <label class="modal-form__label" for="#">
                    <input type="email" required="" name="mail" placeholder="Вкажіть Email*">
                </label>

                <label class="modal-form__label" for="#">
                    <input type="text" required="" name="phone" class="phone" placeholder="Номер телефону*">
                </label>

                <label class="modal-form__label" for="#">
                    <input type="text" required="" pattern="\w*" name="code"
                        placeholder="Код, який потрібно зареєструвати*">
                </label>

                <div class="checkbox">
                    <label class="custom-checkbox">
                        <input type="checkbox" name="confirm" required="">
                        <span>я погоджуюсь з<a href="Official_Rules.pdf" target="_blank">офіційними правилами
                                акції</a></span>
                    </label>
                </div>
                <span class="result-text"></span>

                <div class="loader" id="circularG">
                    <div id="circularG_1" class="circularG"></div>
                    <div id="circularG_2" class="circularG"></div>
                    <div id="circularG_3" class="circularG"></div>
                    <div id="circularG_4" class="circularG"></div>
                    <div id="circularG_5" class="circularG"></div>
                    <div id="circularG_6" class="circularG"></div>
                    <div id="circularG_7" class="circularG"></div>
                    <div id="circularG_8" class="circularG"></div>
                </div>

                <button class="modal-form__btn purple-btn" type="submit">
                    Зареєструвати код
                </button>

            </form>
        </div>


    </div>

        <!-- Modal Form -->
        <div id="overlay-auth" class="overlay">

            <div id="modal-auth" class="modal">
                <form class="modal-form" action="/api/login" method="post">
    
                    <button class="close-btn close-auth-modal" type="button" id="close-modal">
                        <svg width="40" height="40" viewbox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M36.638 3.066 3.042 36.66M3 3l33.596 33.596" stroke="currentColor" stroke-width="6"
                                stroke-linecap="round" stroke-linejoin="round" />
                        </svg>
                    </button>
    
                    <h2 class="modal-form__title">
                        Авторизація
                    </h2>
    
                    <label class="modal-form__label" for="#">
                        <input type="text" required="" name="phone" class="phone" placeholder="Номер телефону">
                    </label>
    
                    <label class="modal-form__label" for="#">
                        <input type="text" required="" pattern="\w*" name="code"
                            placeholder="Один із кодів, який вже було зареєстровано">
                    </label>
    
                    <div class="checkbox">
                        <label class="custom-checkbox">
                            <input type="checkbox" name="confirm" required="">
                            <span>я погоджуюсь з<a href="Official_Rules.pdf" target="_blank">офіційними правилами
                                    акції</a></span>
                        </label>
                    </div>
    
                    <div class="g-recaptcha" data-sitekey="my-public-key"></div>
    
                    <span class="result-text"></span>
    
                    <div class="loader" id="circularG">
                        <div id="circularG_1" class="circularG"></div>
                        <div id="circularG_2" class="circularG"></div>
                        <div id="circularG_3" class="circularG"></div>
                        <div id="circularG_4" class="circularG"></div>
                        <div id="circularG_5" class="circularG"></div>
                        <div id="circularG_6" class="circularG"></div>
                        <div id="circularG_7" class="circularG"></div>
                        <div id="circularG_8" class="circularG"></div>
                    </div>
    
                    <button class="modal-form__btn purple-btn" type="submit">
                        Увійти
                    </button>
    
                </form>
            </div>
    
    
        </div>

           <!-- Wheel -->
        <div class="wheel-overlay">
            <div class="wheel">
                <div class="wheel__arrow">
                    <img src="./img/arrow.png" alt="arrow">
                </div>
                <canvas id="canvas" class="tutCanvas" width="600" height="600">Canvas not supported</canvas>
                <button id="bigButton" class="bigButton purple-btn" onclick="calculatePrize(); this.disabled=true;">Крутити!</button>
            </div>
        </div>
    
    <!-- Modal for gift -->
    <div class="overlay__gift">
        <div class="gift">
             <div class="gift__coup">
                 Купон
             </div>
             <div class="gift__message">
                 Вітаємо! Ви отримали купон <span class="na__sumu">на суму</span> <span class="gift__suma">0</span> <span class="na__sumu">грн.</span> від <span class="gift__partner">Partner</span>
             </div>
             <button class="gift__close" type="button">
                 <svg width="40" height="40" viewbox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
                     <path d="M36.638 3.066 3.042 36.66M3 3l33.596 33.596" stroke="currentColor" stroke-width="6"
                         stroke-linecap="round" stroke-linejoin="round" />
                 </svg>
             </button>
        </div>
     </div>

    
    <!-- reCaptcha -->
    <script src="https://www.google.com/recaptcha/api.js?render=6Ld13OcaAAAAAG8rKkfe0ykgiS7fp4Z1wjE8uYL1"></script>
 
    <!-- JQuery -->
    <script src="js/jquery.min.js"></script>
    <script src="js/jquery.maskedinput.min.js"></script>
    <script src="js/TweenMax.min.js"></script>
    <script src="js/Winwheel.min.js"></script>
    <script src="js/aos.min.js"></script>
    <!-- Script -->
    <script src="js/script.min.js"></script>

    <script>
        let theWheel = new Winwheel({
            'numSegments'       : 10,                 
                'outerRadius'       : 200,               
                'drawText'          : true,              
                'textFontSize'      : 16,
                'textOrientation'   : 'curved',
                'textAlignment'     : 'inner',
                'textMargin'        : 90,
                'textFontFamily'    : 'monospace',
                'textStrokeStyle'   : '#EFEFEC',
                'textLineWidth'     : 3,
                'textFillStyle'     : '#EFEFEC',
                'drawMode'          : 'segmentImage',   
                'segments'          :                    
            [
                   {'image' : './img/cold-wheel.png',  'text' : ''},
                   {'image' : './img/iso-wheel.png',   'text' : ''},
                   {'image' : './img/atb-wheel.png',  'text' : ''},
                   {'image' : './img/fox-wheel.png',  'text' : ''},
                   {'image' : './img/mida-wheel.png',  'text' : ''},
                   {'image' : './img/cold-wheel.png',  'text' : ''},
                   {'image' : './img/iso-wheel.png',   'text' : ''},
                   {'image' : './img/atb-wheel.png',  'text' : ''},
                   {'image' : './img/fox-wheel.png',  'text' : ''},
                   {'image' : './img/mida-wheel.png',  'text' : ''},
            ],
            'animation' :
            {
                'type'          : 'spinToStop',
                'duration'      : 5,
                'spins'         : 10,
                'callbackFinished' : alertPrize
            }
        });

        window.isEnd = false;

        function calculatePrize()
        {
            let stopNumber = 0;
            let parObject = {
                'gold_ua': {
                    name: 'Голд UA',
                    index: 1,
                },
                'foxtrot':  {
                    name: 'Фокстрот',
                    index: 4,
                },
                'zakaz_atb':  {
                    name: 'АТБ',
                    index: 3,
                },
                'quest_izolyaciya':  {
                    name: 'Квест Кімната "Ізоляція"',
                    index: 2,
                },
                'mida':  {
                    name: 'Mida Shop',
                    index: 5,
                }
            }

            window.sum = 0;
            window.coupon = 'none';
            window.nameRar = 'name';
            const na_s = document.querySelectorAll('.na__sumu');

            let isDone = true;
     

            for(let key in parObject) {
                // responseText.partner_name
                if(isDone) {
                    if(key ===  responseText.partner_name) {

                        if(responseText.sum === 0) {
                            stopNumber = parObject[key].index;
                            coupon = responseText.code;
                            nameRar = parObject[key].name;
                            sum = 'на безкоштовну доставку';
                            na_s.forEach(item => item.style.display = 'none');
                            isDone = false;
                        } else {
                            stopNumber = parObject[key].index;
                            coupon = responseText.code;
                            nameRar = parObject[key].name;
                            sum = responseText.sum;
                            isDone = false;
                        }
                    } else {
                        stopNumber = 2;
                        sum = 0;
                        coupon = 'oofofofo';
                        nameRar = 'Test';
                    }
                }
            }

            let stopAt = theWheel.getRandomForSegment(stopNumber);
     
           
            theWheel.animation.stopAngle = stopAt;
     
         

            theWheel.startAnimation();
            isEnd = true;

        }
     
    
        
        // alertPrize();

        function alertPrize() {
            const overlayGift = document.querySelector('.overlay__gift'),
                coup = document.querySelector('.gift__coup'),
                suma = document.querySelector('.gift__suma'),
                par = document.querySelector('.gift__partner');
                overlayGift.classList.add('active');
                coup.textContent = coupon;
                suma.textContent = sum;
                par.textContent = nameRar;
        }
     
    </script>
</body>

</html>